Touchpad actuando raro en 14.04 en MSI CR70 2M

No sé si lo estoy haciendo bien (o en el lugar correcto). Es la primera vez que informo de un error.

Tengo un error molesto. El botón izquierdo de mi panel táctil (golpeteo y mecánico) deja de funcionar a veces. Parece estar vinculado para hacer clic y arrastrar y / o clic derecho. Salir y volver a resolver el problema. Tengo el control del clic izquierdo de nuevo (aunque el clic mecánico en algún momento no funciona).

Mi portátil es un MSI CR70 2M – teclado francés. El touchpad se detecta como un touchpad Elantech.

Ya probé alguna solución pero nada está funcionando. Tengo un archivo de registro: evtest- xev – xinput – xmodmap – Xorg.log (he seguido https://wiki.ubuntu.com/DebuggingTouchpadDetection )

No sé dónde publicar el archivo de registro. ¿Puede alguien guiarme?

Muchas gracias por el trabajo realizado para Ubuntu.

Saludos,

Yodhur

Por ahora, el problema se resolvió y el parche se introdujo en la stream principal. Puede suscribirse a xorg-edgers ppa para obtener las últimas actualizaciones y, por lo tanto, la solución inmediata. Aquí están los comandos si quieres agregarlo:

 sudo apt-add-repository ppa:xorg-edgers/ppa sudo apt-get update sudo apt-get upgrade 

[SOLUCIÓN RÁPIDA] Si no puedes esperar el lanzamiento oficial, rápidamente apliqué este parche contra la versión de 64 bits xorg-xserver-1.16.1 , y resolvió el problema. Si tiene otra architecture, siga estos pasos , de lo contrario, ejecute los siguientes pasos:

  1. Descarga el archivo aquí .
  2. Ejecuta estos comandos en el terminal:

     cd Downloads tar -xvf Patched\ XServer\ 1.16.1.tar.gz cd Patched\ XServer sudo dpkg -i xdmx_1.16.0-1ubuntu1_amd64.deb xdmx-tools_1.16.0-1ubuntu1_amd64.deb xnest_1.16.0-1ubuntu1_amd64.deb xorg-server-source_1.16.0-1ubuntu1_all.deb xserver-common_1.16.0-1ubuntu1_all.deb xserver-xephyr_1.16.0-1ubuntu1_amd64.deb xserver-xorg-core_1.16.0-1ubuntu1_amd64.deb xserver-xorg-core-dbg_1.16.0-1ubuntu1_amd64.deb xserver-xorg-dev_1.16.0-1ubuntu1_amd64.deb xserver-xorg-xmir_1.16.0-1ubuntu1_amd64.deb xvfb_1.16.0-1ubuntu1_amd64.deb xwayland_1.16.0-1ubuntu1_amd64.deb 

[IMPORTANTE]: esta solución se incluirá oficialmente en el PPA en la próxima versión, por lo que si ha leído esta publicación mucho después de su fecha de publicación, actualice xorg como se mencionó anteriormente y resolverá su problema.